module GI.WebKit2.Objects.WebsiteDataManager where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype WebsiteDataManager = WebsiteDataManager (ForeignPtr WebsiteDataManager)
instance GObject WebsiteDataManager where
class GObject o => WebsiteDataManagerK o
instance (GObject o, IsDescendantOf WebsiteDataManager o) => WebsiteDataManagerK o
data WebsiteDataManagerBaseCacheDirectoryPropertyInfo
data WebsiteDataManagerBaseDataDirectoryPropertyInfo
data WebsiteDataManagerDiskCacheDirectoryPropertyInfo
data WebsiteDataManagerIndexeddbDirectoryPropertyInfo
data WebsiteDataManagerLocalStorageDirectoryPropertyInfo
data WebsiteDataManagerOfflineApplicationCacheDirectoryPropertyInfo
data WebsiteDataManagerWebsqlDirectoryPropertyInfo
